Browse Source

Update requirements to pull in latest neutron package

Recent changes meant that neutron is now published to pypi. We can
leverage this package in our testing environment.

Change-Id: I368844dc1518c1f65c75ab7cd9fbc71d3acbb751
changes/55/553855/1
Mark McClain 4 years ago
parent
commit
9db0ecfe1f
  1. 1
      requirements.txt
  2. 1
      tox.ini

1
requirements.txt

@ -5,6 +5,7 @@ pbr!=2.1.0,>=2.0.0 # Apache-2.0
alembic>=0.8.10 # MIT
neutron-lib>=1.13.0 # Apache-2.0
neutron>=12.0.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0

1
tox.ini

@ -9,7 +9,6 @@ install_command = pip install -c {env:UPPER_CONSTRAINTS_FILE:https://git.opensta
setenv = VIRTUAL_ENV={envdir}
PYTHONWARNINGS=default::DeprecationWarning
deps = -r{toxinidir}/test-requirements.txt
-egit+https://git.openstack.org/openstack/neutron.git#egg=neutron
whitelist_externals = sh
commands = python setup.py testr --slowest --testr-args='{posargs}'

Loading…
Cancel
Save